Subject: Ticket Assigned - Delivery
From: Max <[email-masked]>
To: [email-masked]
Date: Thu, 17 Jun 2021 05:59:29 +0000

Hi Ali Atef,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I'm writing this regarding my order# 7469673662, while ordering and the confirmation message I have received said delivery on 15/06/2021, now as per the tracking number i have received it says delivery on 29/06/2021,  I was in really need for it today, when i contacted your customer care they advised its with the delivering company and they cannot promise to deliver it today.  i'm embarrassed now that i trusted your services otherwise i would have chosen to collect it from any of your stores  
its really disappointing. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2717792